require 'uu/os/rest/paging_criteria'
require 'uu/os/uesuri'


# Module Unicorn Universe.
module UU
  # Module Operating System.
  module OS
    # Module Artifact State Template.
    module ArtifactStateTemplate
      # @see ArtifactStateTemplate#get_artifact_state_template_list
      class ArtifactStateTemplateGetArtifactStateTemplateList < UU::OS::REST::PagingCriteria

        # @see ArtifactStateTemplate#get_artifact_state_template_list
        attr_accessor :query

        def query 
          attributes[:query]
        end

        def query=(val) 
          attributes[:query] = val
        end

      end
    end

  end
end
