require 'uu/os/rest/dto'
require 'uu/os/uesuri'

module UU
  module OS

      module Cast
        class CastDelete < UU::OS::REST::DTO

          # @see Cast#delete
          attr_accessor :casted_subject_uri

          def casted_subject_uri 
            attributes[:castedSubjectUri]
          end

          def casted_subject_uri=(val) 
            if val
              attributes[:castedSubjectUri] = UU::OS::UESURI.new(val)
            else
              attributes[:castedSubjectUri] = nil
            end
          end

        end
      end

    end

end
