# Module Unicorn Universe.
module UU
  # Module Operating System.
  module OS
    # Module Personal Role.
    module PersonalRole
      # Notifications Rules of Personal Role.
      class PersonalRoleNotificationsRule

        # Notifications are turned off.
        OFF = 'OFF'

        # Notifications of new activities.
        NEW_ACTIVITIES = 'NEW_ACTIVITIES'

        # Notifications of new activities and changed activity states.
        UNREAD_ACTIVITIES = 'UNREAD_ACTIVITIES'

        # Notifications of activities according to custom rules. This rule can be set by system only.
        CUSTOM = 'CUSTOM'

      end
    end
  end
end