require 'uu/os/rest/paging_criteria'

# Module Unicorn Universe.
module UU
  # Module Application Deployment Kit.
  module OS
    # Module Widget.
    module Widget
      # @see Widget#get_widget_list
      class WidgetGetWidgetList < UU::OS::REST::PagingCriteria

        # @see Widget#get_widget_list
        attr_accessor :query
        def query
          attributes[:query]
        end

        def query=(val)
          attributes[:query] = val
        end

      end
    end

  end
end
