require 'uu/os/rest/dto'

# Module Unicorn Universe.
module UU
  # Module Operating System.
  module OS
    # Module Attachment.
    module Attachment
      # @see Attachment#get_version_data
      class AttachmentGetVersionData < UU::OS::REST::DTO
        
        # @see Attachment#get_version_data
        attr_accessor :version_id
        

        
        def version_id
          attributes[:versionId]
        end

        def version_id=(val) 
          attributes[:versionId] = val
        end
 
        
      end
    end
  end
end