require 'uu/os/rest/dto'
require 'uu/os/uesuri'


module UU
module OS
module Property

class PropertyCreateCollection < UU::OS::REST::DTO

# Name of the new property collection. When null is set the create command fails. 
attr_accessor :name

# Code of the new property collection. When null is set, the code is generated automatically 
# using the system sequence. The code must be unique in a given artifact, otherwise 
# the create command fails. 
attr_accessor :code

# Description of the new property collection. When null is set, the description 
# is left empty. 
attr_accessor :description



def name 
attributes[:name]
end

def name=(val) 
attributes[:name] = val
end

def code 
attributes[:code]
end

def code=(val) 
attributes[:code] = val
end

def description 
attributes[:description]
end

def description=(val) 
attributes[:description] = val
end

end

end
end
end
