require 'uu/os/rest/dto'

module UU
  module OS
    module SheetTemplate
      # @see SheetTemplate#set_attributes
      class SheetTemplateSetAttributes < UU::OS::REST::DTO

        # @see SheetTemplate#set_attributes
        attr_accessor :name

        # @see SheetTemplate#set_attributes
        attr_accessor :code

        # @see SheetTemplate#set_attributes
        attr_accessor :main

        # @see SheetTemplate#set_attributes
        attr_accessor :visible

        # @see SheetTemplate#set_attributes
        attr_accessor :order

        # @see SheetTemplate#set_attributes
        attr_accessor :description

        # @see SheetTemplate#set_attributes
        attr_accessor :width
        
        # @see SheetTemplate#set_attributes
        attr_accessor :implicit_creation
        
        def name 
          attributes[:name]
        end

        def name=(val) 
          attributes[:name] = val
        end

        def code 
          attributes[:code]
        end

        def code=(val) 
          attributes[:code] = val
        end

        def main 
          attributes[:main]
        end

        def main=(val) 
          attributes[:main] = val
        end

        def visible 
          attributes[:visible]
        end

        def visible=(val) 
          attributes[:visible] = val
        end

        def order 
          attributes[:order]
        end

        def order=(val) 
          attributes[:order] = val
        end

        def description 
          attributes[:description]
        end

        def description=(val) 
          attributes[:description] = val
        end

        def width 
          attributes[:width]
        end

        def width=(val) 
          attributes[:width] = val
        end
        
        def implicit_creation 
          attributes[:implicitCreation]
        end

        def implicit_creation=(val) 
          attributes[:implicitCreation] = val
        end

      end
    end

  end
end
