require 'uu/os/rest/dto'
require 'uu/os/uesuri'

module UU
  module OS
    module Shortcut
      # @see Shortcut#relocate
      class ShortcutRelocate < UU::OS::REST::DTO

        # @see Shortcut#relocate
        attr_accessor :location_uri
        def location_uri
          attributes[:locationUri]
        end

        def location_uri=(val)
          if val
            attributes[:locationUri] = UU::OS::UESURI.new(val)
          else
            attributes[:locationUri] = nil
          end
        end

      end
    end

  end

end
